{# templates/filterCar.twig #}
<form class="form-inline col-sm-1 col-md-3 col-lg-3" action="{{ path('app_filtered_cars') }}" method="post">
	<div
		class="d-flex flex-column">
		{# Type d'essence #}
		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Types de carburants</p>
			</div>
			<div class="col-12">
				<select class="form-select" aria-label="Default select example" name="fuelType">
					<option selected value="1">Tous les carburants</option>
					{% set uniqueFuelTypes = [] %}
					{% for car in cars %}
						{% if car.vehicleFiltersId.fueltype not in uniqueFuelTypes %}
							{% set uniqueFuelTypes = uniqueFuelTypes|merge([car.vehicleFiltersId.fueltype]) %}
							<option value="{{ car.vehicleFiltersId.fueltype }}">{{ car.vehicleFiltersId.fueltype }}</option>
						{% endif %}
					{% endfor %}
				</select>
			</div>
		</div>


		{# Marque #}
		{# Marques #}
		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Marques</p>
			</div>
			<div class="col-12">
				<select class="form-select" aria-label="Default select example" name="constructor">
					<option selected value="1">Toutes les marques</option>
					{% set uniqueConstructors = [] %}
					{% for car in cars %}
						{% if car.vehicleFiltersId.constructor not in uniqueConstructors %}
							{% set uniqueConstructors = uniqueConstructors|merge([car.vehicleFiltersId.constructor]) %}
							<option value="{{ car.vehicleFiltersId.constructor }}">{{ car.vehicleFiltersId.constructor }}</option>
						{% endif %}
					{% endfor %}
				</select>
			</div>
		</div>

		{# Modèles #}
		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Modèles</p>
			</div>
			<div class="col-12">
				<select class="form-select" aria-label="Default select example" name="model">
					<option selected value="1">Tous les modèles</option>
					{% set uniqueModels = [] %}
					{% for car in cars %}
						{% if car.vehicleFiltersId.model not in uniqueModels %}
							{% set uniqueModels = uniqueModels|merge([car.vehicleFiltersId.model]) %}
							<option value="{{ car.vehicleFiltersId.model }}">{{ car.vehicleFiltersId.model }}</option>
						{% endif %}
					{% endfor %}
				</select>
			</div>
		</div>

		{# Boîte de vitesse #}
		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Boîte de vitesse</p>
			</div>
			<div class="col-12">
				<select class="form-select" aria-label="Default select example" name="transmission">
					<option selected value="1">Toutes les boîtes</option>
					{% set uniquetransmissions = [] %}
					{% for car in cars %}
						{% if car.vehicleFiltersId.transmission not in uniquetransmissions %}
							{% set uniquetransmissions = uniquetransmissions|merge([car.vehicleFiltersId.transmission]) %}
							<option value="{{ car.vehicleFiltersId.transmission }}">{{ car.vehicleFiltersId.transmission }}</option>
						{% endif %}
					{% endfor %}
				</select>
			</div>
		</div>


		{# Prix (Range Slider) #}
		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Tarif</p>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="minPrice">Minimum:</label>
				<input type="number" class="form-control col-12" name="minPrice" id="minPrice" placeholder="Min"/>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="maxPrice">Maximum:</label>
				<input type="number" class="form-control col-12" name="maxPrice" id="maxPrice" placeholder="Max"/>
			</div>
		</div>


		{# Kilométrage (Range Slider) #}
		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Kilométrage</p>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="minKilometer">Minimum:</label>
				<input type="number" class="form-control col-12" name="minKilometer" id="minKilometer" placeholder="Min"/>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="maxKilometer">Maximum:</label>
				<input type="number" class="form-control col-12" name="maxKilometer" id="maxKilometer" placeholder="Max"/>
			</div>
		</div>
		<div class="row mb-3">
			<div class="col-12">
				<p class="pt-3">Année</p>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="minYear">Minimum:</label><input type="number" class="form-control col-12" name="minYear" id="minYear" placeholder="Min"/>
			</div>
			<div class="col-lg-6 col-md-12">
				<label for="maxYear">Maximum:</label><input type="number" class="form-control col-12" name="maxYear" id="maxYear" placeholder="Max"/>
			</div>
		</div>
		<div class="row mb-5">
			<div class="col-12">
				<div class="d-flex flex-column justify-content-around pt-3">
					<a href="{{path('app_listing_cars')}}" class="text-center text-dark text-decoration-underline mb-3">Réinitialiser</a>
					<button type="submit" class="btnR">Afficher</button>
				</div>
			</div>
		</div>
	</div>
</form>
